## CSS Review Questions
- What is CSS?
- What do we mean when we say CSS is "cascading"?
- How can we define a CSS rule?
- What are the different ways of applying CSS to a webpage?
- How is the priority determined for conflicting CSS rules?
- What are some common CSS properties?
- What is the CSS box model?
- What are some of the common CSS selectors?
- What is Bootstrap?
- What are the benefits of using Bootstrap?
- How can you include bootstrap on your web page?
- What is responsive web design?
- Give an example of a bootstrap class that you could use in your application.

## JavaScript Questions
- What is JavaScript?
- What is the difference between var, let, and const?
- What does it mean for JavaScript to be loosely typed?
- What is type coercion?
- What is the difference between =, ==, ===?
- What is meant by "truthy" and "falsy"?
- What are the truthy values? Falsy values?
- What are the data types in JavaScript?
- How can I declare an object literal in JavaScript?
- How can I declare an object using a class in JavaScript?
- How can we define a class in JavaScript?
- How can I declare an array?
- What is the difference between a for/in loop and a for/of loop?
- What are the different scopes in JavaScript?
- What is a closure? How can we use closures to benefit us?
- How can we define a function?
- What is the syntax for an arrow function?
- What is a callback function?
- What is a template literal?
- How can we work with JS modules?
- What is a default export? How is it different from other exports?
- What are the benefits of using modules?
- What is the DOM?
- How can you access elements in the DOM?
- What are some of the ways you can modify the DOM using JS?
- How can you respond programmatically events?
- Describe the AJAX workflow.
- What do the different readyState values of the XMLHttpRequest object represent?
- How can we serialize/deserialize JSON data in JS?
- What is the fetch API?
- What is a promise?
- What is TypeScript?
- How is TypeScript beneficial?
- What are some types you can use in TypeScript?
- What is the difference between using a class and interface to define types in TS?
- What is the syntax for declaring a variable with a type?
